import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}

//销售订单列表
export const httpList = (data: any): any => {
  return http.request("post", `${yewuApi}orderlist`, { data });
};

//详情
export const httpDetail = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}saleinfo`, { data });
};
